Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1064500 - Left over /usr/lib/jvm/java-1.7.0-openjdk-* directories from old versions
Summary: Left over /usr/lib/jvm/java-1.7.0-openjdk-* directories from old versions
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: java-1.7.0-openjdk
Version: 7.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: jiri vanek
QA Contact: BaseOS QE - Apps
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-02-12 17:47 UTC by Lukas Berk
Modified: 2014-04-08 09:55 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-04-08 09:55:06 UTC


Attachments (Terms of Use)

Description Lukas Berk 2014-02-12 17:47:42 UTC
Description of problem:
There are several remaining directories under /usr/lib/jvm/ that correspond to previous versions of openjdk with empty directories. Specifically;
/usr/lib/jvm/java-1.7.0-openjdk-1.7.0.45-2.4.3.4.el7.x86_64/jre/lib/amd64/xawt/
/usr/lib/jvm/java-1.7.0-openjdk-1.7.0.45-2.4.3.5.el7.x86_64/jre/lib/{amd64,ext}/

Version-Release number of selected component (if applicable):
rpm -qa | grep java-1.7.0-openjdk
java-1.7.0-openjdk-1.7.0.51-2.4.4.1.el7.x86_64
java-1.7.0-openjdk-devel-1.7.0.51-2.4.4.1.el7.x86_64
java-1.7.0-openjdk-headless-1.7.0.51-2.4.4.1.el7.x86_64

How reproducible:
unsure

Steps to Reproduce:
1. sudo yum update
2.
3.

Actual results:
the remaining directories above are listed, yet are empty

Expected results:
only the java-1.7.0-openjdk-1.7.0.51-2.4.4.1.el7.x86_64 related directory should remain.

Additional info:

Comment 2 jiri vanek 2014-02-17 16:36:05 UTC
I have added those dirs to be named exactly as %dir in spec for f21. Let see if it helps.

Comment 3 RHEL Product and Program Management 2014-03-22 06:02:58 UTC
This request was not resolved in time for the current release.
Red Hat invites you to ask your support representative to
propose this request, if still desired, for consideration in
the next release of Red Hat Enterprise Linux.

Comment 4 jiri vanek 2014-04-08 09:55:06 UTC
The fix of this bug is side effect of fix of https://bugzilla.redhat.com/show_bug.cgi?id=1038092


Note You need to log in before you can comment on or make changes to this bug.